diff --git a/configure.ac b/configure.ac
index 1676ec8..73c8be5 100644
--- a/configure.ac
+++ b/configure.ac
@@ -47,39 +47,33 @@ then
 fi
 
 # PKG_CHECK_MODULES macro is NOT used to avoid confusing syntax errors in case that pkg-config is NOT installed
-AC_CHECK_LIB(ncursesw, killwchar, [],
-[
-    AC_CHECK_LIB(ncurses, killwchar, [], 
-    [
-        AC_SUBST([NCURSESW_CFLAGS])
-        AC_SUBST([NCURSESW_LIBS])
-        if pkg-config --exists ncursesw
-        then
-            AC_MSG_NOTICE([Module ncursesw found])
-            NCURSESW_CFLAGS=`pkg-config --cflags ncursesw`
-            NCURSESW_LIBS=`pkg-config --libs ncursesw`
-        else
-            if pkg-config --exists ncurses
-            then
-                AC_MSG_NOTICE([Module ncurses found])
-                NCURSESW_CFLAGS=`pkg-config --cflags ncursesw`
-                NCURSESW_LIBS=`pkg-config --libs ncurses`
-            else
-                AS_CASE([$host_os],
-                  [darwin*],
-                    [
-                      AC_CHECK_LIB(ncurses, killwchar, [], [AC_MSG_ERROR([Could not find ncurses library])])
-                      AC_CHECK_HEADER(curses.h)
-                    ],
-                  [
-                    AC_CHECK_LIB(ncursesw, killwchar, [], [AC_MSG_ERROR([Could not find ncursesw library])])
-                    AC_CHECK_HEADER(ncursesw/curses.h)
-                  ]
-                )
-            fi
-        fi
-    ]) # FAIL of ncurses
-]) # FAIL of ncursesw
+AC_SUBST([NCURSESW_CFLAGS])
+AC_SUBST([NCURSESW_LIBS])
+if pkg-config --exists ncursesw
+then
+		AC_MSG_NOTICE([Module ncursesw found])
+		NCURSESW_CFLAGS=`pkg-config --cflags ncursesw`
+		NCURSESW_LIBS=`pkg-config --libs ncursesw`
+else
+		if pkg-config --exists ncurses
+		then
+				AC_MSG_NOTICE([Module ncurses found])
+				NCURSESW_CFLAGS=`pkg-config --cflags ncursesw`
+				NCURSESW_LIBS=`pkg-config --libs ncurses`
+		else
+				AS_CASE([$host_os],
+					[darwin*],
+						[
+							AC_CHECK_LIB(ncurses, killwchar, [], [AC_MSG_ERROR([Could not find ncurses library])])
+							AC_CHECK_HEADER(curses.h)
+						],
+					[
+						AC_CHECK_LIB(ncursesw, killwchar, [], [AC_MSG_ERROR([Could not find ncursesw library])])
+						AC_CHECK_HEADER(ncursesw/curses.h)
+					]
+				)
+		fi
+fi
 
 
 # Checks for libraries.
diff --git a/src/Makefile.am b/src/Makefile.am
index 7640d21..17a82b7 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -37,4 +37,4 @@ hstr_SOURCES = 						\
 install-exec-hook:
 	ln $(DESTDIR)$(bindir)/hstr$(EXEEXT) $(DESTDIR)$(bindir)/hh$(EXEEXT)
 
-hstr_LDADD = $(NCURSES_LIBS)
+hstr_LDADD = $(NCURSESW_LIBS)
